Bug 444130 - Screen corruption when editing boot options at syslinux prompt
Screen corruption when editing boot options at syslinux prompt
Product: Fedora
Classification: Fedora
Component: syslinux (Show other bugs)
i386 Linux
low Severity low
: ---
: ---
Assigned To: Peter Jones
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2008-04-25 05:54 EDT by Mark McClelland
Modified: 2009-07-14 12:09 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2009-07-14 12:09:04 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Mark McClelland 2008-04-25 05:54:46 EDT
Description of problem:
When editing the options for a syslinux boot entry, the text of the options can
become corrupted.

Version-Release number of selected component (if applicable):
F9 Preview i686

How reproducible:
Every time

Steps to Reproduce:
1. After syslinux loads, hit any key to get to boot menu.
2. Hit Tab key at the "Boot" menu entry to edit options.
3. Use left arrow key to move cursor under the 'q' in the "quiet" parameter.
4. Delete the "quiet " parameter with the Del key.
5. Press the Space bar
Actual results:
The following text appears at the cursor:

25l18;1H> vmlinuz0 initrd=initrd0.img

followed by duplicates of the rest of the boot parameters up to "ro iveimg"
which is missing an 'l'.
Comment 1 Bug Zapper 2008-05-14 06:08:41 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
Comment 2 Jeremy Katz 2009-04-28 15:40:46 EDT
Do you still see this with Fedora 10 (or Fedora 11 preview even)?
Comment 3 Bug Zapper 2009-06-09 20:26:12 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
Comment 4 Bug Zapper 2009-07-14 12:09:04 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.